Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class Bucket

    java.lang.Object
      com.amazonaws.services.s3.model.Bucket

    public class Bucket

extends Object

Represents an Amazon S3 bucket.

Constructor Summary
`Bucket()` Create a bucket without any name specified
`Bucket(String name)` Create a bucket with a name.

Method Summary
`Date` | `getCreationDate()` Returns this bucket's creation date, or null if not known.
`String` | `getName()` Returns the name of this bucket.
`Owner` | `getOwner()`
`void` | `setCreationDate(Date creationDate)` Sets the bucket's creation date in S3 - this should only be used internally by AWS Java client methods that retrieve information directly from S3.
`void` | `setName(String name)` Set the name of the bucket.
`void` | `setOwner(Owner owner)` Sets the bucket's owner in S3 - this should only be used internally by the AWS Java client methods that retrieve information directly from S3.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Bucket

    public Bucket()

  Create a bucket without any name specified

### Bucket

    public Bucket(String name)

  Create a bucket with a name. All buckets in S3 share a single namespace, so choose a unique name for your bucket.

  Parameters:
    `name` - the name for the bucket

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getOwner

    public Owner getOwner()

  Returns:
    the bucket's owner, or null if it is unknown.

### setOwner

    public void setOwner(Owner owner)

  Sets the bucket's owner in S3 - this should only be used internally by the AWS Java client methods that retrieve information directly from S3.

  Parameters:
    `owner` -

### getCreationDate

    public Date getCreationDate()

  Returns this bucket's creation date, or null if not known.

  Returns:
    this bucket's creation date, or null if not known.

### setCreationDate

    public void setCreationDate(Date creationDate)

  Sets the bucket's creation date in S3 - this should only be used internally by AWS Java client methods that retrieve information directly from S3.

  Parameters:
    `creationDate` -

### getName

    public String getName()

  Returns the name of this bucket.

  Returns:
    the name of this bucket.

### setName

    public void setName(String name)

  Set the name of the bucket. All buckets in S3 share a single namespace, so choose a unique name for your bucket.

  Parameters:
    `name` - the name for the bucket

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.